import request from '../utils/request';

// 地址铺-列表
export function getUserAddressList(data) {
    return request({
        url: '/tianzong/client/address/getUserAddressList',
        method: 'post',
        data: data,
        emulateJSON: true
    })
}

// 门店-列表
export function getStoreAddressList(data) {
    return request({
        url: '/tianzong/store/queryStore',
        method: 'post',
        data: data,
        emulateJSON: true
    })
}

// 地址铺-新增
export function saveAddress(data) {
    return request({
        url: '/tianzong/client/address/saveAddress',
        method: 'post',
        data: data,
        emulateJSON: true
    })
}

// 地址铺-详情
export function findUserAddressInfoById(data) {
    return request({
        url: '/tianzong/client/address/findUserAddressInfoById',
        method: 'post',
        data: data,
        emulateJSON: true
    })
}

// 地址铺-修改
export function editUserAddressInfoById(data) {
    return request({
        url: '/tianzong/client/address/editUserAddressInfoById',
        method: 'post',
        data: data,
        emulateJSON: true
    })
}

// 地址铺-删除
export function deleteUserAddressById(data) {
    return request({
        url: '/tianzong/client/address/deleteUserAddressById',
        method: 'post',
        data: data,
        emulateJSON: true
    })
}


// 地址铺-省市区
export function listByParent(data) {
    return request({
        url: '/tianzong/addressCode/listByParent',
        method: 'post',
        data: data,
        emulateJSON: true
    })
}

// 地址铺-识别
export function spiltAddress(data) {
    return request({
        url: '/tianzong/client/address/spiltAddress',
        method: 'post',
        data: data,
        emulateJSON: true
    })
}





